import { AnyObject } from './any-object';
export declare class ObjectOperations {
    private TextDecoder;
    private TextEncoder;
    constructor();
    AreObjectsEqual(object1: any, object2: any, ...excludeList: string[]): boolean;
    CloneObject<T extends AnyObject>(source: T, ...excludeList: string[]): T;
    ConvertArrayBufferToString(value: Uint8Array): string;
    ConvertStringToArrayBuffer(value: string): Uint8Array;
    CopyProperty(source: any, target: any, propertyName: string, append?: boolean): void;
    GetProperty<T>(source: any, propertyName: string, defaultValue?: T): T | undefined;
    IsMatch(pattern: string, value: string): boolean;
    IsNullOrEmpty(value: any | string | undefined | null): boolean;
    IsNullOrWhitespace(value: string | undefined | null): boolean;
    IsPropertyEqual(item1: any, item2: any, propertyName: string): boolean;
    MergeObjects<T extends AnyObject>(object1: T, object2: T): T;
    MergeObjectProperty<T extends AnyObject>(target: T, source1: T, source2: T, propertyName: string): void;
    RemoveUndefinedElements<T extends AnyObject>(source: T): T;
    SetProperty(target: any, propertyName?: string, value?: any, append?: boolean): void;
    ToString(value: any): string;
}
